Package de.willuhn.jameica.hbci.server.hbci

# Class HBCIAuslandsUeberweisungJob

java.lang.Object
de.willuhn.jameica.hbci.server.hbci.AbstractHBCIJob
de.willuhn.jameica.hbci.server.hbci.HBCIAuslandsUeberweisungJob

public class HBCIAuslandsUeberweisungJob extends AbstractHBCIJob
Job fuer "Auslandsueberweisung".

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.server.hbci.AbstractHBCIJob

`i18n`

## Constructor Summary

Constructors
Constructor
Description
`HBCIAuslandsUeberweisungJob(AuslandsUeberweisung ueberweisung)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected HibiscusDBObject`
`getContext()`
Liefert den zugehoerigen Auftrag von Hibiscus - insofern verfuegbar.
`String`
`getIdentifier()`
HBCI4Java verwendet intern eindeutige Job-Namen.
`String`
`getName()`
Liefert einen sprechenden Namen fuer diesen Job.
`protected void`
`markCancelled()`
Wird aufgerufen, wenn der User den Vorgang abgebrochen hat.
`protected void`
`markExecuted()`
Markiert den Auftrag als erledigt.
`protected String`
`markFailed(String error)`
Markiert den Auftrag als fehlerhaft.
`void`
`setJob(org.kapott.hbci.GV.HBCIJob job)`
Diese Funktion wird vom HBCISynchronizeBackend intern aufgerufen.

### Methods inherited from class de.willuhn.jameica.hbci.server.hbci.AbstractHBCIJob

`getFollowerJobs, getJobResult, handleResult, isExclusive, setExclusive, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParamUsage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIAuslandsUeberweisungJob

public HBCIAuslandsUeberweisungJob(AuslandsUeberweisung ueberweisung) throws de.willuhn.util.ApplicationException, RemoteException
ct.

Parameters:
  `ueberweisung` - die auszufuehrende Ueberweisung.
Throws:
  `de.willuhn.util.ApplicationException`
  `RemoteException`

## Method Details

### getContext

protected HibiscusDBObject getContext()
Description copied from class: `AbstractHBCIJob`
Liefert den zugehoerigen Auftrag von Hibiscus - insofern verfuegbar.

Specified by:
  `getContext` in class `AbstractHBCIJob`
Returns:
  der zugehoerige Auftrag von Hibiscus - insofern verfuegbar.
See Also:
  - `AbstractHBCIJob.getContext()`

### getIdentifier

public String getIdentifier()
Description copied from class: `AbstractHBCIJob`
HBCI4Java verwendet intern eindeutige Job-Namen. Diese Funktion liefert genau den Namen fuer genau den gewuenschten Job.

Specified by:
  `getIdentifier` in class `AbstractHBCIJob`
Returns:
  Job-Identifier.
See Also:
  - `AbstractHBCIJob.getIdentifier()`

### setJob

public void setJob(org.kapott.hbci.GV.HBCIJob job) throws RemoteException, de.willuhn.util.ApplicationException
Description copied from class: `AbstractHBCIJob`
Diese Funktion wird vom HBCISynchronizeBackend intern aufgerufen. Sie uebergibt hier den erzeugten HBCI-Job der Abfrage.

Overrides:
  `setJob` in class `AbstractHBCIJob`
Parameters:
  `job` - der erzeugte Job.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractHBCIJob.setJob(org.kapott.hbci.GV.HBCIJob)`

### getName

public String getName() throws RemoteException
Description copied from class: `AbstractHBCIJob`
Liefert einen sprechenden Namen fuer diesen Job.

Specified by:
  `getName` in class `AbstractHBCIJob`
Returns:
  sprechender Name.
Throws:
  `RemoteException`
See Also:
  - `AbstractHBCIJob.getName()`

### markExecuted

protected void markExecuted() throws RemoteException, de.willuhn.util.ApplicationException
Description copied from class: `AbstractHBCIJob`
Markiert den Auftrag als erledigt.

Specified by:
  `markExecuted` in class `AbstractHBCIJob`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractHBCIJob.markExecuted()`

### markFailed

protected String markFailed(String error) throws de.willuhn.util.ApplicationException, RemoteException
Description copied from class: `AbstractHBCIJob`
Markiert den Auftrag als fehlerhaft.

Specified by:
  `markFailed` in class `AbstractHBCIJob`
Parameters:
  `error` - der Fehlertext aus der HBCI-Nachricht.
Returns:
  der Fehlertext, wie er weitergeworfen werden soll. Hier kann der Implementierer noch weitere Informationen zum Job hinzufuegen.
Throws:
  `de.willuhn.util.ApplicationException`
  `RemoteException`
See Also:
  - `AbstractHBCIJob.markFailed(java.lang.String)`

### markCancelled

protected void markCancelled() throws RemoteException, de.willuhn.util.ApplicationException
Description copied from class: `AbstractHBCIJob`
Wird aufgerufen, wenn der User den Vorgang abgebrochen hat. Kann von den Jobs implementiert werden, muss aber nicht. Die Funktion wird nur genau dann aufgerufen, wenn der Job noch abbrechbar war - sprich, wenn er noch nicht an die Bank uebertragen wurde. Wurde er jedoch bereits an die Bank gesendet, dann wird entweder markFailed() oder markExecuted() aufgerufen.

Overrides:
  `markCancelled` in class `AbstractHBCIJob`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException` - BUGZILLA 690
See Also:
  - `AbstractHBCIJob.markCancelled()`